Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.activity.shared
Interface ActivityMapper

All Known Implementing Classes:
  CachingActivityMapper, FilteredActivityMapper

    public interface ActivityMapper

Finds the activity to run for a given `Place`, used to configure an `ActivityManager`.

Method Summary
`Activity` | `getActivity(Place place)` Returns the activity to run for the given `Place`, or null.

Method Detail

### getActivity

    Activity getActivity(Place place)

  Returns the activity to run for the given `Place`, or null.

  Parameters:
    `place` - a Place object

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD